Subject: RE: [Sipping] Globaly routable URLs WAS ...

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 3 Aug 2001 16:47:43 -0400

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Thursday, August 02, 2001 12:28 PM
> To: Jonathan Rosenberg
> Cc: Neil Deason; 'Dean Willis'; James Undery; Sudharsana krishnan P;
> Sipping (E-mail)
> Subject: Re: [Sipping] Globaly routable URLs WAS ...
> 
> In that example I was assuming that I knew that the only firewall
> between me and the other party was at ericsson.com. But you are right,
> because if I do not have this knowledge, I cannot use source routing.
> 
> For the general problem of a globaly routable URLs to be used as
> "replace" URLs, I would suggest that we use the caller preferences
> stuff.
> 
> That is, even if besides the firewall at ericsson.com, there were
> another firewall at ericsson.se, I know that my public address is
> [email-masked], and that INVITEs that are sent to that
> address reach me in a number of devices. Now I am speaking on my SIP
> phone at [email-masked]
> 
> In order to create a globaly routable URL I would provide my 
> public URL
> with an Accept-Contact header. Something like:
> 
> sip:[email-masked]?Accept-Contact:
> <sip:[email-masked]>

We've talked about things like this as part of the REFER spec. However, you
can't be sure that the ericsson.com proxy will even route this to the proxy
you just registered with.

> However, since Accept-contact expresses only a preference, a 
> proxy that
> did not know about [email-masked] and did know about another way
> to contact me might still route the INVITE there, making 
> another device
> ring (we do not want that!).

Right.

> 
> What about defining new headers in the caller preferences draft called
> Reject-contact-UA and accept-contact-UA? Proxies would ignore this
> headers, but if a UA receives an INVITE and it contains a
> reject-contact-UA with its URL, the UA will generate a 
> response code to
> be defined (something like "I am in the reject-contact-UA and thus I
> will not alert the user") rather that alert the user.
> 
> Such headers would provide us with globaly routable URLs.

I believe the caller prefs draft already defines a mechanism for this. See
section 6.2.

The problem, though, is that this still won't work if the request doesn't
get routed to that UA in the first place. 

I am not sure there is a general way to do this. I think it is too strongly
dependent on the routing used within the proxies in someone's network. Each
network may have to specify policy about how a UA can construct URLs that
get routed to itself, and then the routing in the proxies set up to honor
that format. This, of course, is a huge administrative nightmare. I would be
thrilled if someone could come up with a more general purpose solution.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP